<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.bonus.zlpt.home.mapper.MaTypeInfoMapper">
    
    <resultMap type="com.bonus.zlpt.common.core.domain.equip.TypeInfo" id="MaDevInfoResult">

        <id     property="typeId"      column="type_id"      />
        <result property="parentId"    column="parent_id"    />
        <result property="typeName"     column="type_name"     />
        <result property="level"   column="level"   />
        <result property="sort"    column="sort"    />
        <result property="isActive"      column="is_active"      />
    </resultMap>
    
    <sql id="bmProjectInfo">
        select type_id, parent_id, type_name, `level`, sort, is_active
		from ma_type_info
    </sql>

    <select id="getMaTypeInfoList"  resultType="com.bonus.zlpt.common.core.domain.equip.TypeInfo">
        select type_id, parent_id, type_name, `level`, sort, is_active
        from ma_type_info
    </select>
    

    
</mapper>